Subject: Re: [AVT] Reg: RFC 3550

From: Magnus Westerlund <[email-masked]>
Date: Mon, 09 Jan 2006 13:34:10 +0100

Hi,

I think you have misunderstood this code. It has to do with the correct 
delay calculations when sending BYE messages. When the sending of BYE 
has been scheduled, the members variable is reset and used to back off 
timing procedures to avoid RTCP BYE storms when huge number of 
participants leave a session simultaneously.

Please review the RFC on this.

Cheers

Magnus

siddhartha gandhi wrote:
>   This is regarding "void OnReceive" algorithm in section A.7 of RFC 3550.
>   
>   Consider the following code fragment.
>   
>   } else if (TypeOfEvent(e) == EVENT_BYE) {
>                *members += 1;
>            }
>   In this case the terminal has received a BYE packet and the next  scheduled packet form this terminal is also BYE. So why do we need to  increment the total number of members by 1.
>   
>   Thanks,
>   Siddhartha
>   
>   
> 
> 		
> ---------------------------------
> Yahoo! Shopping
>  Find Great Deals on Holiday Gifts at Yahoo! Shopping 
> 
> 
> ------------------------------------------------------------------------
> 
> _______________________________________________
> Audio/Video Transport Working Group
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/avt

-- 

Magnus Westerlund

Multimedia Technologies, Ericsson Research EAB/TVA/A
----------------------------------------------------------------------
Ericsson AB                | Phone +46 8 4048287
Torshamsgatan 23           | Fax   +46 8 7575550
S-164 80 Stockholm, Sweden | mailto: [email-masked]

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt